Objektkenndaten abrufen
GET
/api/v1/stations/:id/characteristics Gibt die physikalischen Kenndaten eines Messknotens anhand seiner Kennung zurück.
Pfadparameter
id integer erforderlich Kennung des Messknotens.
Antwortfelder
| Attribut | Beschreibung |
|---|---|
id | Kennung (eindeutiger Schlüssel) des Messknotens im System |
gas_boiler | Vorhandensein eines Gasheizkessels |
gas_stove | Vorhandensein eines Gasherds |
gas_water_heater | Vorhandensein eines Gas-Warmwasserbereiters |
resident_count | Anzahl der Bewohner (Personen) |
heated_area | Beheizte Fläche (m²) |
Anfrage
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/stations/3318/characteristics"js
const res = await fetch('https://api.vadsro.eu/api/v1/stations/3318/characteristics', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/stations/3318/characteristics",
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/stations/3318/characteristics", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/stations/3318/characteristics");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Antwort
json
{
"data": {
"id": 3318,
"gas_boiler": "false",
"gas_stove": "false",
"gas_water_heater": "true",
"resident_count": "22",
"heated_area": null
}
} Zuletzt aktualisiert am
War diese Seite hilfreich?
Danke für dein Feedback!
Messknoten abrufen
Zurück
Datum der letzten Kommunikationssitzung abrufen
Weiter